## ThunarHistory ThunarHistory |

## Functions

ThunarHistory * | thunar_history_copy ()
gboolean | thunar_history_has_back ()
gboolean | thunar_history_has_forward ()
ThunarFile * | thunar_history_peek_back ()
ThunarFile * | thunar_history_peek_forward ()
void | thunar_history_action_back ()
void | thunar_history_action_forward ()
void | thunar_history_show_menu ()
void | thunar_history_add ()

## Signals

void | history-changed | Run Last

## Types and Values

enum | ThunarHistoryMenuType

## Object Hierarchy

        GObject
        ╰── ThunarHistory

## Description

## Functions

### thunar_history_copy ()

    ThunarHistory *
    thunar_history_copy (ThunarHistory *history);

### thunar_history_has_back ()

    gboolean
    thunar_history_has_back (ThunarHistory *history);

#### Parameters

history | a ThunarHistory. |

#### Returns

TRUE if there is a backward history

### thunar_history_has_forward ()

    gboolean
    thunar_history_has_forward (ThunarHistory *history);

#### Parameters

history | a ThunarHistory. |

#### Returns

TRUE if there is a forward history

### thunar_history_peek_back ()

    ThunarFile *
    thunar_history_peek_back (ThunarHistory *history);

### thunar_history_peek_forward ()

    ThunarFile *
    thunar_history_peek_forward (ThunarHistory *history);

### thunar_history_action_back ()

    void
    thunar_history_action_back (ThunarHistory *history);

### thunar_history_action_forward ()

    void
    thunar_history_action_forward (ThunarHistory *history);

### thunar_history_show_menu ()

    void
    thunar_history_show_menu (ThunarHistory *history,
                              ThunarHistoryMenuType type,
                              GtkWidget *parent);

### thunar_history_add ()

    void
    thunar_history_add (ThunarHistory *history,
                        ThunarFile *directory);

Manually adds the passed directory to the history

#### Parameters

history | a ThunarHistory |
directory | a ThunarFile |

## Types and Values

### enum ThunarHistoryMenuType

#### Members

THUNAR_HISTORY_MENU_BACK |  |
THUNAR_HISTORY_MENU_FORWARD |  |

## Signal Details

### The `“history-changed”` signal

    void
    user_function (ThunarHistory *thunarhistory,
                   char          *arg1,
                   gpointer       user_data)

Flags: Run Last